> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/tutorials/building-widgets/in-depth/5-view-state/3-summery.md).

# 3. Summary

Manipulating the view state via JavaScript can be quite overwhelming. The following table illustrates the differences between various scenarios.

The table below assumes that some view state has been set via JavaScript after a page load to a view state field.

| View State Condition                          | Runtime.viewState | sessionStorage | localStorage |
| --------------------------------------------- | ----------------- | -------------- | ------------ |
| Persisted on browser refresh (F5)             | No                | Yes            | Yes          |
| Persisted on WEM application event            | Yes               | Yes            | Yes          |
| Removed when the widget is unloaded           | Yes               | Depends        | Depends      |
| Removed when the browser tab is closed        | Yes               | Yes            | No           |
| Removed when the browser is closed            | Yes               | Yes            | No           |
| Removed when your computer is hit by a meteor | Yes               | Yes            | Yes          |

In the case of a widget being unloaded, there are two scenarios where the outcome depends on specific conditions. As discussed in the previous chapter, we have the option to manually clear the state of `localStorage` and `sessionStorage` in the `unloadscript` block (see [WEMScript Script Blocks](/platform/tutorials/building-widgets/wemscript/7-script-blocks-introduction.md#unload-script)).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wem.io/platform/tutorials/building-widgets/in-depth/5-view-state/3-summery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
